> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell/de/powershell-commands/get-rdmpersonalcredentials.md).

# Get-RDMPersonalCredentials

Get-RDMPersonalCredentials ruft den Verbindungseintrag ab, der die persönlichen Anmeldeinformationen (My Personal Credentials) des aktuellen Benutzers in Remote Desktop Manager darstellt.

### Übersicht

Ruft die Verbindung ab, die 'MyPersonalCredentials' darstellt.

### Syntax

#### \_\_AllParameterSets

```
Get-RDMPersonalCredentials [-ForcePromptAnswer <DialogResult[]>] [<CommonParameters>]
```

### Beschreibung

Ruft die Verbindung ab, die 'MyPersonalCredentials' darstellt. Alle relevanten Informationen befinden sich in der Eigenschaft Credentials. Unter Windows verhindert die Richtlinie DisableMyPersonalCredentials die Verwendung dieses Cmdlets.

### Beispiele

#### Beispiel 1

```powershell
PS C:\> $persoCreds = Get-RDMPersonalCredentials
```

Speichert die persönlichen Anmeldeinformationen in der Variablen $persoCreds. Greifen Sie auf die gewünschten Werte in $persoCreds.Credentials zu.

#### Beispiel 2

```powershell
PS C:\> $perso = Get-RDMPersonalCredentials; $perso.Credentials.SecretServerPassword = (ConvertTo-SecureString -AsPlainText 'aPassword'); $perso.Credentials.SecretServerUsername = 'aPassword'; $perso.Credentials.SecretServerDomain = 'aDomain'; Set-RDMPersonalCredentials -Session $perso
```

Ruft die persönlichen Anmeldeinformationen ab. Ändert die Werte für Domäne, Passwort und Benutzername des Secret Servers. Speichert die Änderungen. Die Passwortänderung ist an der Wertänderung des Felds SafeSecretServerPassword zu erkennen.

### Parameter

#### -ForcePromptAnswer

Schalter, der mit Vorsicht zu verwenden ist. Er beantwortet automatisch Eingabeaufforderungen mit Ja/Nein-, Ja/Nein/Abbrechen- oder OK/Abbrechen-Fragen. Bei mehreren Eingabeaufforderungen können mehrere Werte an diesen Parameter übergeben werden. Hier sind die zulässigen Werte:

* Yes: Akzeptiert die Eingabeaufforderung. Deckt die Werte OK und Automatic ab.
* No: Lehnt die Ja/Nein/Abbrechen-Eingabeaufforderung ab. "Cancel" ist die Ausweichoption, wenn keine "No"-Option vorhanden ist.
* Cancel: Bricht die Ja/Nein/Abbrechen-Eingabeaufforderung ab. "No" ist die Ausweichoption, wenn keine "Cancel"-Option vorhanden ist.

```yaml
Type: System.Windows.Forms.DialogResult[]
DefaultValue: ''
SupportsWildcards: false
Aliases: []
ParameterSets:
- Name: (All)
  Position: Named
  IsRequired: false
  ValueFromPipeline: false
  ValueFromPipelineByPropertyName: false
  ValueFromRemainingArguments: false
DontShow: false
AcceptedValues: []
HelpMessage: ''
```

#### CommonParameters

Dieses Cmdlet unterstützt die allgemeinen Parameter: -Debug, -ErrorAction, -ErrorVariable, -InformationAction, -InformationVariable, -OutBuffer, -OutVariable, -PipelineVariable, -ProgressAction, -Verbose, -WarningAction und -WarningVariable. Weitere Informationen finden Sie unter [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Hinweise

Weitere Informationen erhalten Sie mit "Get-Help Get-RDMPersonalCredentials -detailed". Technische Informationen erhalten Sie mit "Get-Help Get-RDMPersonalCredentials -full".


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell/de/powershell-commands/get-rdmpersonalcredentials.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
